summaryrefslogtreecommitdiffstats
path: root/debian
diff options
context:
space:
mode:
authorHolger Hans Peter Freyther <zecke@selfish.org>2012-11-06 14:43:42 +0100
committerHolger Hans Peter Freyther <zecke@selfish.org>2012-11-06 23:01:43 +0100
commite600eed7faf12f1f6b0bc1baab667e960adf68d5 (patch)
tree456a33c76cc00b2bbba9691380041e50935e48c9 /debian
parent6b55f603e3fe49b55f15ee3895699887bca13741 (diff)
debian: Move debian directory to ease building packages
This is required to have git-buildpackage be able to create tarballs from the git repository and was done by Jan in the debian branch as well.
Diffstat (limited to 'debian')
-rw-r--r--debian/changelog55
-rw-r--r--debian/compat1
-rw-r--r--debian/control44
-rw-r--r--debian/copyright50
-rw-r--r--debian/docs1
-rw-r--r--debian/osmocom-bs11-utils.install2
-rw-r--r--debian/osmocom-bsc-nat.install1
-rw-r--r--debian/osmocom-bsc.examples1
-rw-r--r--debian/osmocom-bsc.install2
-rw-r--r--debian/osmocom-gbproxy.install1
-rw-r--r--debian/osmocom-ipaccess-utils.install3
-rw-r--r--debian/osmocom-nitb.default8
-rw-r--r--debian/osmocom-nitb.dirs3
-rw-r--r--debian/osmocom-nitb.examples1
-rwxr-xr-xdebian/osmocom-nitb.init152
-rw-r--r--debian/osmocom-nitb.install1
-rw-r--r--debian/osmocom-sgsn.default2
-rw-r--r--debian/osmocom-sgsn.examples1
-rwxr-xr-xdebian/osmocom-sgsn.init150
-rw-r--r--debian/osmocom-sgsn.install1
-rwxr-xr-xdebian/rules28
-rw-r--r--debian/source/format1
22 files changed, 509 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..101e2c4
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,55 @@
+openbsc (0.12.0+git26-6) precise; urgency=low
+
+ * Added init script for osmocom-sgsn.
+
+ -- Eric Butler <eric@codebutler.com> Fri, 24 Aug 2012 21:04:32 -0700
+
+openbsc (0.12.0+git26-5) precise; urgency=low
+
+ * Don't enable MNCC sock by default.
+ * Automatically create important directories.
+ * Fix init script 'stop' command.
+
+ -- Eric Butler <eric@codebutler.com> Fri, 24 Aug 2012 20:56:33 -0700
+
+openbsc (0.12.0+git26-4) precise; urgency=low
+
+ * Specify HLR path and enable RTP proxy.
+
+ -- Eric Butler <eric@codebutler.com> Mon, 20 Aug 2012 00:21:07 -0700
+
+openbsc (0.12.0+git26-3) precise; urgency=low
+
+ * Fix init script.
+
+ -- Eric Butler <eric@codebutler.com> Sun, 19 Aug 2012 16:05:44 -0700
+
+openbsc (0.12.0+git26-2) precise; urgency=low
+
+ * Fix libdbi package dependency.
+
+ -- Eric Butler <eric@codebutler.com> Wed, 15 Aug 2012 00:35:37 -0700
+
+openbsc (0.12.0+git26-1) precise; urgency=low
+
+ * Fix version issue.
+
+ -- Eric Butler <eric@codebutler.com> Tue, 14 Aug 2012 21:00:51 -0700
+
+openbsc (0.12.0+git26) precise; urgency=low
+
+ * Updated ubuntu package.
+
+ -- Eric Butler <eric@codebutler.com> Tue, 14 Aug 2012 17:36:51 -0700
+
+openbsc (0.9.13.115.eb113-1) natty; urgency=low
+
+ * New upstream release
+
+ -- Harald Welte <laforge@gnumonks.org> Wed, 11 May 2011 18:41:24 +0000
+
+openbsc (0.9.4-1) unstable; urgency=low
+
+ * Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP>
+
+ -- Harald Welte <laforge@gnumonks.org> Tue, 24 Aug 2010 13:34:24 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..a2d9efe
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,44 @@
+Source: openbsc
+Section: net
+Priority: optional
+Maintainer: Harald Welte <laforge@gnumonks.org>
+Build-Depends: debhelper (>= 7.0.0~), autotools-dev, pkg-config, libgtp-dev, libosmocore-dev, libosmo-sccp-dev, libdbi-dev, dh-autoreconf, libosmo-abis-dev
+Standards-Version: 3.8.4
+Homepage: http://openbsc.osmocom.org/
+Vcs-Git: git://bs11-abis.gnumonks.org/openbsc.git
+Vcs-Browser: http://openbsc.osmocom.org/trac/browser
+
+Package: osmocom-bsc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore, libosmo-sccp
+Description: GSM Base Station Controller; BSC-only version of OpenBSC. Needs a real MSC!
+
+Package: osmocom-nitb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore, libdbd-sqlite3, libdbi1
+Description: GSM Network-in-a-Box, implements BSC, MSC, SMSC, HLR, VLR
+
+Package: osmocom-ipaccess-utils
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore
+Description: Command line utilities for ip.access nanoBTS
+
+Package: osmocom-bs11-utils
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore
+Description: Command line utilities for Siemens BS-11 BTS
+
+Package: osmocom-sgsn
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore, libgtp
+Description: Osmocom Serving GPRS Support Node
+
+Package: osmocom-gbproxy
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore
+Description: Osmocom GPRS Gb Interface Proxy
+
+Package: osmocom-bsc-nat
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore
+Description: Osmocom Base Station Controller Network Address Translation
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..09693c9
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,50 @@
+This work was packaged for Debian by:
+
+ Harald Welte <laforge@gnumonks.org> on Tue, 24 Aug 2010 10:55:04 +0200
+
+It was downloaded from:
+
+ git://bs11-abis.gnumonks.org/openbsc.git
+
+Upstream Author(s):
+
+ Harald Welte <laforge@gnumonks.org>
+ Dieter Spaar <spaar@mirider.augusta.de>
+ Holger Hans Peter Freyther <zecke@selfish.org>
+ Sylvain Munaut <tnt@246tNt.com>
+ Daniel Willmann <daniel@totalueberwachung.de>
+ Jan Luebbe <jluebbe@debian.org>
+ Mike Haben <michael.haben@btinternet.com>
+ Andreas Eversberg <Andreas.Eversberg@versatel.de>
+
+Copyright:
+
+ Copyright (C) 2008-2010 Harald Welte <laforge@gnumonks.org>
+ Copyright (C) 2008-2009 Dieter Spaar <spaar@mirider.augusta.de>
+ Copyright (C) 2008-2010 Holger Hans Peter Freyther <zecke@selfish.org>
+ Copyright (C) 2009-2010 Sylvain Munaut <tnt@246tNt.com>
+ Copyright (C) 2009-2010 On-Waves
+ Copyright (C) 2008 Daniel Willmann <daniel@totalueberwachung.de>
+ Copyright (C) 2008 Jan Luebbe <jluebbe@debian.org>
+ Copyright (C) 2009 by Mike Haben <michael.haben@btinternet.com>
+ Copyright (C) 2009 Andreas Eversberg <Andreas.Eversberg@versatel.de>
+
+License:
+
+ GNU General Public License, Version 2 or later
+
+The Debian packaging is:
+
+ Copyright (C) 2010 Harald Welte <laforge@gnumonks.org>
+
+# Please chose a license for your packaging work. If the program you package
+# uses a mainstream license, using the same license is the safest choice.
+# Please avoid to pick license terms that are more restrictive than the
+# packaged work, as it may make Debian's contributions unacceptable upstream.
+# If you just want it to be GPL version 3, leave the following lines in.
+
+and is licensed under the GPL version 3,
+see "/usr/share/common-licenses/GPL-3".
+
+# Please also look if there are files or directories which have a
+# different copyright/license attached and list them here.
diff --git a/debian/docs b/debian/docs
new file mode 100644
index 0000000..e845566
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1 @@
+README
diff --git a/debian/osmocom-bs11-utils.install b/debian/osmocom-bs11-utils.install
new file mode 100644
index 0000000..757a854
--- /dev/null
+++ b/debian/osmocom-bs11-utils.install
@@ -0,0 +1,2 @@
+/usr/bin/bs11_config
+/usr/bin/isdnsync
diff --git a/debian/osmocom-bsc-nat.install b/debian/osmocom-bsc-nat.install
new file mode 100644
index 0000000..b561a7e
--- /dev/null
+++ b/debian/osmocom-bsc-nat.install
@@ -0,0 +1 @@
+/usr/bin/osmo-bsc_nat
diff --git a/debian/osmocom-bsc.examples b/debian/osmocom-bsc.examples
new file mode 100644
index 0000000..2eec6ba
--- /dev/null
+++ b/debian/osmocom-bsc.examples
@@ -0,0 +1 @@
+doc/examples/osmo-bsc_mgcp
diff --git a/debian/osmocom-bsc.install b/debian/osmocom-bsc.install
new file mode 100644
index 0000000..ab9459e
--- /dev/null
+++ b/debian/osmocom-bsc.install
@@ -0,0 +1,2 @@
+/usr/bin/osmo-bsc_mgcp
+/usr/bin/osmo-bsc
diff --git a/debian/osmocom-gbproxy.install b/debian/osmocom-gbproxy.install
new file mode 100644
index 0000000..ba3f6ee
--- /dev/null
+++ b/debian/osmocom-gbproxy.install
@@ -0,0 +1 @@
+/usr/bin/osmo-gbproxy
diff --git a/debian/osmocom-ipaccess-utils.install b/debian/osmocom-ipaccess-utils.install
new file mode 100644
index 0000000..750641e
--- /dev/null
+++ b/debian/osmocom-ipaccess-utils.install
@@ -0,0 +1,3 @@
+/usr/bin/ipaccess-config
+/usr/bin/ipaccess-find
+/usr/bin/ipaccess-proxy
diff --git a/debian/osmocom-nitb.default b/debian/osmocom-nitb.default
new file mode 100644
index 0000000..ef76a5f
--- /dev/null
+++ b/debian/osmocom-nitb.default
@@ -0,0 +1,8 @@
+CONFIG_FILE="/etc/osmocom/osmo-nitb.cfg"
+HLR_FILE="/var/lib/osmocom/hlr.sqlite3"
+
+DAEMON_ARGS="-P"
+
+# Uncomment if using LCR+Asterisk
+# DAEMON_ARGS="-m -P"
+
diff --git a/debian/osmocom-nitb.dirs b/debian/osmocom-nitb.dirs
new file mode 100644
index 0000000..efbca2b
--- /dev/null
+++ b/debian/osmocom-nitb.dirs
@@ -0,0 +1,3 @@
+/etc/osmocom
+/var/log/osmocom
+/var/lib/osmocom
diff --git a/debian/osmocom-nitb.examples b/debian/osmocom-nitb.examples
new file mode 100644
index 0000000..2d410e7
--- /dev/null
+++ b/debian/osmocom-nitb.examples
@@ -0,0 +1 @@
+doc/examples/osmo-nitb
diff --git a/debian/osmocom-nitb.init b/debian/osmocom-nitb.init
new file mode 100755
index 0000000..0747446
--- /dev/null
+++ b/debian/osmocom-nitb.init
@@ -0,0 +1,152 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: osmo-nitb
+# Required-Start: $network $local_fs
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Osmocom GSM network-in-a-box
+# Description: A minimal implementation of the GSM Base Station Controller,
+# Mobile Switching Center, Home Location regster and all other
+# components to run a self-contained GSM network.
+### END INIT INFO
+
+# Author: Harald Welte <laforge@gnumonks.org>
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+NAME=osmo-nitb # Introduce the short server's name here
+DESC="Osmocom GSM Network-in-a-Box" # Introduce a short description here
+DAEMON=/usr/bin/osmo-nitb # Introduce the server's location here
+SCRIPTNAME=/etc/init.d/osmocom-nitb
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/osmocom-nitb ] && . /etc/default/osmocom-nitb
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+DAEMON_ARGS="$DAEMON_ARGS -D -c $CONFIG_FILE -l $HLR_FILE"
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --start --quiet --exec $DAEMON -- \
+ $DAEMON_ARGS \
+ || return 2
+ # Add code here, if necessary, that waits for the process to be ready
+ # to handle requests from services started subsequently which depend
+ # on this one. As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ # Wait for children to finish too if this is a daemon that forks
+ # and if the daemon is only ever run from this initscript.
+ # If the above conditions are not satisfied then add some other code
+ # that waits for the process to drop all resources that could be
+ # needed by services started subsequently. A last resort is to
+ # sleep for some time.
+ start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+ [ "$?" = 2 ] && return 2
+ return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+ #
+ # If the daemon can reload its configuration without
+ # restarting (for example, when it is sent a SIGHUP),
+ # then implement that here.
+ #
+ start-stop-daemon --stop --signal 1 --quiet $PIDFILE --name $NAME
+ return 0
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ #reload|force-reload)
+ #
+ # If do_reload() is not implemented then leave this commented out
+ # and leave 'force-reload' as an alias for 'restart'.
+ #
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented then remove the
+ # 'force-reload' alias
+ #
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+:
diff --git a/debian/osmocom-nitb.install b/debian/osmocom-nitb.install
new file mode 100644
index 0000000..6bb2171
--- /dev/null
+++ b/debian/osmocom-nitb.install
@@ -0,0 +1 @@
+/usr/bin/osmo-nitb
diff --git a/debian/osmocom-sgsn.default b/debian/osmocom-sgsn.default
new file mode 100644
index 0000000..77c9679
--- /dev/null
+++ b/debian/osmocom-sgsn.default
@@ -0,0 +1,2 @@
+CONFIG_FILE="/etc/osmocom/osmo-sgsn.cfg"
+
diff --git a/debian/osmocom-sgsn.examples b/debian/osmocom-sgsn.examples
new file mode 100644
index 0000000..5cc4db5
--- /dev/null
+++ b/debian/osmocom-sgsn.examples
@@ -0,0 +1 @@
+doc/examples/osmo-sgsn
diff --git a/debian/osmocom-sgsn.init b/debian/osmocom-sgsn.init
new file mode 100755
index 0000000..0794dc1
--- /dev/null
+++ b/debian/osmocom-sgsn.init
@@ -0,0 +1,150 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: osmo-sgsn
+# Required-Start: $network $local_fs
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Osmocom Serving GPRS Support Node
+# Description: Osmocom Serving GPRS Support Node
+### END INIT INFO
+
+# Author: Harald Welte <laforge@gnumonks.org>
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+NAME=osmo-sgsn # Introduce the short server's name here
+DESC="Osmocom Serving GPRS Support Node" # Introduce a short description here
+DAEMON=/usr/bin/osmo-sgsn # Introduce the server's location here
+SCRIPTNAME=/etc/init.d/osmocom-sgsn
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/osmocom-sgsn ] && . /etc/default/osmocom-sgsn
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+DAEMON_ARGS="$DAEMON_ARGS -D -c $CONFIG_FILE"
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --start --quiet --exec $DAEMON -- \
+ $DAEMON_ARGS \
+ || return 2
+ # Add code here, if necessary, that waits for the process to be ready
+ # to handle requests from services started subsequently which depend
+ # on this one. As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ # Wait for children to finish too if this is a daemon that forks
+ # and if the daemon is only ever run from this initscript.
+ # If the above conditions are not satisfied then add some other code
+ # that waits for the process to drop all resources that could be
+ # needed by services started subsequently. A last resort is to
+ # sleep for some time.
+ start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+ [ "$?" = 2 ] && return 2
+ return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+ #
+ # If the daemon can reload its configuration without
+ # restarting (for example, when it is sent a SIGHUP),
+ # then implement that here.
+ #
+ start-stop-daemon --stop --signal 1 --quiet $PIDFILE --name $NAME
+ return 0
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ #reload|force-reload)
+ #
+ # If do_reload() is not implemented then leave this commented out
+ # and leave 'force-reload' as an alias for 'restart'.
+ #
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented then remove the
+ # 'force-reload' alias
+ #
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+:
diff --git a/debian/osmocom-sgsn.install b/debian/osmocom-sgsn.install
new file mode 100644
index 0000000..d89c456
--- /dev/null
+++ b/debian/osmocom-sgsn.install
@@ -0,0 +1 @@
+/usr/bin/osmo-sgsn
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..34ef3e7
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,28 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+#
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+#
+# Modified to make a template file for a multi-binary package with separated
+# build-arch and build-indep targets by Bill Allombert 2001
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+DEBIAN := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
+DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
+VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
+
+%:
+ dh --with autoreconf $@
+
+override_dh_auto_configure:
+ echo $(VERSION) > .tarball-version
+ dh_auto_configure -- --enable-nat --enable-osmo-bsc
+
+override_dh_auto_test:
+# tests are broken...
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)